import 'package:get/get.dart';

import 'sign_camera_state.dart';

class SignCameraController extends GetxController {
  final SignCameraState state = SignCameraState();

  /// 处理图片
  void handleImage(String? watermarkedPath) {
    state.watermarkedFile = watermarkedPath;
    update();
  }

  /// 确认图片
  void confirmImage() {
    state.cb?.call(state.watermarkedFile);
    Get.back();
  }

}
